LayerObject Struct Reference

The LayerObject struct holds all the information needed to construct a layer. More...

`#include <PaintingArea.h>`

## Public Member Functions

| LayerObject ()
| LayerObject (const LayerObject &layer)

## Public Attributes

IntelliImage * | image
| image - Stores the imageData of the current LayerObject. More...
int | width
| width - Stores the width of a layer in pixels. More...
int | height
| height - Stores the height of a layer in pixels. More...
int | widthOffset
| widthOffset - Stores the number of pixles from the left side of the painting area. More...
int | heightOffset
| heightOffset - Stores the number of pixles from the top of the painting area. More...
int | alpha = 255
| alpha - Stores the alpha value of the layer (default=255). More...

## Detailed Description

The LayerObject struct holds all the information needed to construct a layer.

Definition at line 23 of file PaintingArea.h.

## Constructor & Destructor Documentation

## LayerObject() [1/2]

LayerObject::LayerObject | ( |  | ) |

Definition at line 23 of file PaintingArea.cpp.

## LayerObject() [2/2]

LayerObject::LayerObject | ( | const LayerObject & | layer | ) |

Definition at line 27 of file PaintingArea.cpp.

## Member Data Documentation

## alpha

int LayerObject::alpha = 255

alpha - Stores the alpha value of the layer (default=255).

Definition at line 47 of file PaintingArea.h.

## height

int LayerObject::height

height - Stores the height of a layer in pixels.

Definition at line 35 of file PaintingArea.h.

## heightOffset

int LayerObject::heightOffset

heightOffset - Stores the number of pixles from the top of the painting area.

Definition at line 43 of file PaintingArea.h.

## image

IntelliImage* LayerObject::image

image - Stores the imageData of the current LayerObject.

Definition at line 27 of file PaintingArea.h.

## width

int LayerObject::width

width - Stores the width of a layer in pixels.

Definition at line 31 of file PaintingArea.h.

## widthOffset

int LayerObject::widthOffset

widthOffset - Stores the number of pixles from the left side of the painting area.

Definition at line 39 of file PaintingArea.h.

The documentation for this struct was generated from the following files:

- src/Layer/PaintingArea.h
- src/Layer/PaintingArea.cpp